Skip to main content
GET
/
v1
/
shared-pipelines
/
artifacts
List Published Shared Pipeline Artifacts
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/shared-pipelines/artifacts \
  --header 'Authorization: Bearer <token>'
{
  "page": 0,
  "results": [
    {
      "branch": "main",
      "commitHash": "a1b2c3d4e5f6",
      "createdAt": "2025-01-15T10:30:00.000Z",
      "enabled": true,
      "provider": "matillion",
      "sharedPipelineIdPrefix": "my-shared-pipeline",
      "versionName": "1.0.0"
    }
  ],
  "size": 20,
  "total": 42
}

Documentation Index

Fetch the complete documentation index at: https://docs.maia.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

a valid bearer token

Query Parameters

sharedPipelineIdPrefix
string
Example:

"my-shared-pipeline"

sharedPipelineId
string
Example:

"my-pipeline"

versionName
string
Example:

"1.0.0"

enabledOnly
boolean
Example:

true

page
integer
default:0

Zero-based page index (0..N)

Required range: x >= 0
size
integer
default:25

The size of the page to be returned

Required range: x >= 1
sort
string[]

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Response

Shared pipeline artifacts listed successfully

page
integer<int32>

The 0-indexed page number of the returned results

Example:

0

results
object[]

Page of published shared pipeline items, or empty

size
integer<int32>

The size of each page of results

Example:

20

total
integer<int64>

Total number of available published shared pipeline items across all pages

Example:

42